import { Series } from "./Series";
import { IHasCategoryModePreference } from "./IHasCategoryModePreference";
import { Axis } from "./Axis";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Type, Point } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { Thickness } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Rect } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { Geometry } from "igniteui-react-core";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { RenderSurface } from "./RenderSurface";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class ValueOverlay extends Series implements IHasCategoryModePreference {
    static $t: Type;
    protected bc(): Series;
    constructor();
    t3: Axis;
    um: number;
    uk: number;
    ul: number;
    uh: number;
    ia(a: Point, b: boolean, c: boolean): number;
    ui(a: Point, b: Point): number;
    tj(a: Point, b: boolean, c: boolean): Point;
    i9(a: Point): number;
    js(a: Point): any;
    fp(a: any): boolean;
    aq(a: Axis): AxisRange;
    ps(a: boolean): void;
    uj(): number;
    u4(a: number, b: ValueOverlayView): void;
    gm(a: Rect, b: Rect, c: SeriesView): boolean;
    protected qp(a: Rect, b: Rect): void;
    protected qo(a: Rect, b: Rect): void;
    protected np(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    protected pa(a: any, b: string, c: any, d: any): void;
    oc(): void;
    nk(a: boolean, b: SeriesView): void;
    private t8;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    get categoryAxis(): CategoryAxisBase;
    protected cd(): SeriesView;
    o2(a: SeriesView): void;
    private t6;
    pt(a: Rect, b: RenderSurface): void;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    t7: boolean;
    t5: (item: any) => string;
    vm: Brush;
    vk: Brush;
    ub: number;
    un: number;
    vl: Brush;
    get vn(): Thickness;
    ud: number;
    uf: number;
    ue: number;
    uc: number;
    ug: number;
    ag(): Axis[];
    private t4;
    private ua;
    private t9;
    protected u5(a: number, b: boolean): void;
    protected get_isValueOverlay(): boolean;
    u0(a: number): string;
    get u2(): string;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ValueOverlayView extends SeriesView {
    static $t: Type;
    constructor(a: ValueOverlay);
    private b2;
    protected bd(): void;
    protected be(): void;
    b1(a: Geometry): void;
    b0(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
}
